package cn.iocoder.yudao.module.infra.dal.dataobject.db;


import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.activerecord.Model;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 集电线路
 * </p>
 *
 * @author shilin
 * @since 2022-10-31
 */
@TableName(value = "pro_basic_line", autoResultMap = true)
@Data
public class ProBasicLineDO  {

    private static final long serialVersionUID = 1L;

    /**
     * 编号
     */
    @TableId(value = "ID",type = IdType.ASSIGN_ID)
    private String id;

    /**
     * 编码
     */
    private String nemCode;

    /**
     * 名称
     */
    private String name;

    /**
     * 别名
     */
    private String aname;

    /**
     * 工程编号
     */
    private String projectId;

    /**
     * 顺序
     */
    private Integer orderNum;

    /**
     * 装机容量
     */
    private Double capacity;

    /**
     * 容量单位
     */
    private String capacityUnit;

    /**
     * 装机数量
     */
    private Integer quantity;

    /**
     * 是否可用
     */
    private Integer isAble;

    /**
     * 备用1
     */
    private String spare1;

    /**
     * 备用2
     */
    private String spare2;

    /**
     * 备用3
     */
    private String spare3;

    /**
     * 备用4
     */
    private String spare4;


}
